Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kCipherPadding Struct Reference
kApi/Crypto

## Description

Represents padding mode for encryption.

Inheritance diagram for kCipherPadding:

## Related
#define | kCIPHER_PADDING_NULL
| Unknown.
#define | kCIPHER_PADDING_ANSIX923
| ANSIX923, padding string consists of a sequence of bytes filled with zeros before the length.
#define | kCIPHER_PADDING_ISO10126
| ISO10126, padding string consists of random data before the length.
#define | kCIPHER_PADDING_NONE
| No padding, requires that the encrypted string is a multiple of 8 bytes long.
#define | kCIPHER_PADDING_PKCS7
| PKCS7, padding string consists of a sequence of bytes, each of which is equal to the total number of padding bytes added.
#define | kCIPHER_PADDING_ZERO
| Zero, padding string consists of bytes set to zero.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- Crypto/kCipher.h